Skip to main content

List Public Product Reviews (v1)

Method & Path

GET /api/v1/public/storefront/stores/:slug/products/:productId/reviews

Actual backend path: /v1/public/storefront/stores/:slug/products/:productId/reviews

Description

Returns published (visible) reviews for an active product, plus aggregate average rating and count. Used by the public storefront product page.

Authentication

None (public).

Personas: Customer (client) — read-only; no auth required.

Query Parameters

ParameterTypeRequiredDescription
limitnumberNo1–100, default 50
offsetnumberNoPagination offset

Response 200 OK

{
"reviews": [
{
"id": "…",
"rating": 5,
"comment": "Excellent",
"authorName": "Customer",
"createdAt": "2026-04-05T10:00:00.000Z"
}
],
"averageRating": 4.7,
"visibleCount": 12
}

Common Errors

  • 404 Not Found: Store slug invalid, or product not found / not active